#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libfakekey
Version		:	0.1
Release		:	14.4.0.0%{?dist}
Summary		:	Library for converting characters to X key-presses

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://mirrors.kernel.org/yocto/matchbox/libfakekey/0.1/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	libXi
BuildRequires	:	libXtst
#-----------------------------------------------------------------------------
%description
libfakekey is a simple library for converting UTF-8 characters into
'fake' X key-presses.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/libfakekey.so.*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/fakekey/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
 

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure 						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	AM_LDFLAGS=-lX11				\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

# %makeinstall
%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
